LDD(1)

NAZWA
ldd - drukuj zależności od bibliotek dzielonych

SKŁADNIA
ldd [OPCJA]... PLIK...

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

ldd drukuje biblioteki dzielone, których wymaga program, podany w linii komend.

OPCJE

--version
    Drukuj wersję ldd.

-v --verbose
    Wypisuje wszystkie informacje.

-d --data-relocs
    Dokonaj relokacji i zgłoś wszelkie brakujące funkcje (tylko ELF).

-r --function-relocs
    Dokonaj relokacji zarówno dla obiektów danych, jak i funkcji i zgłoś listę obiektów nieobecnych (tylko ELF).

--help
    Informacje o użyciu programu.

BŁĘDY
ldd nie działa dobrze na bibliotece libc.so.5.

ldd nie działa na bibliotekach współdzielonych a.out.

ldd nie zadziała z bardzo starymi programami a.out, które zostały skonsolidowane zanim dodano do kompilatora obsługę ldd. Jeśli używasz ldd na jednym z tych programów, program będzie uruchomiony z argc = 0, a wyniki tego będą nieprzewidywalne.

AUTOR
David Engel.

ZOBACZ TAKŻE
ldconfig(8), ld.so(8).

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 ldd

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.